

#ifndef API_File_h
#define API_File_h

//[열기:대화상자]
//{
    //[2011.11.30.수][완료!!!]
    void __fastcall _API_File_OpenDialog(void);

    //[2011.11.30.수][완료!!!]]
    void __fastcall _API_File_OpenDialog_Ext(void);

    //[2020.11.01.일][완료!!!]
    void __fastcall _API_File_OpenDialog_FileName(void);

    //[2022.01.05.수]완료]
    void __fastcall _API_File_OpenDialog_InitDir(void);

    //[2020.10.31.토][완료]
    void __fastcall _API_File_OpenDialog_MultiSelect(void);

    //[2020.11.01.일][완료]
    void __fastcall _API_File_OpenDialog_GetSelectCount(void);

    //[2020.11.01.일][완료]
    void __fastcall _API_File_OpenDialog_FileItem(void);

    //[2020.11.04.수][추가]
    void __fastcall _API_File_OpenDialog_IsMultiSelect(void);

//}

//[저장:대화상자]
//{
    //[2011.11.30.수][완료!!!]
    void __fastcall _API_File_SaveDialog(void);

    //[2011.11.30.수][완료!!!]
    void __fastcall _API_File_SaveDialog_Ext(void);

    //[2011.11.30.수][완료!!!]
    void __fastcall _API_File_SaveDialog_FileName(void);

    //[2022.01.05.수][완료]
    void __fastcall _API_File_SaveDialog_InitDir(void);

//}

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Open(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Save(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Size(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Exist(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Copy(void);


//[2018.10.09.화][완료!!!]
void __fastcall _API_File_ReName(void);

//[2018.10.09.화][완료!!!]
void __fastcall _API_File_Delete(void);

//[2018.10.11.목][완료!!!]
void __fastcall _API_File_Search(void);


//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Dir_CreateDirectory(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Dir_Copy(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Dir_Get_FileList_BoundDir(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Dir_Get_FileNameList_BoundDir(void);


//[2018.10.13.토][완료!!!]
void __fastcall _API_File_Dir_Delete(void);


//[2022.09.20.화][완료]
void __fastcall _API_File_Dir_SelectDialog(void);


//[2020.10.17.토][완료]
void __fastcall _API_File_Dir_Get_FileList_BoundDir2(void);

//[2020.10.17.토][완료]
void __fastcall _API_File_Dir_Get_FileNameList_BoundDir2(void);


//[2020.10.11.일][완료]
void __fastcall _API_File_Dir_Delete_Inner(void);

//[2020.10.11.일][완료]
void __fastcall _API_File_Dir_IsEmpty(void);


//[2020.12.19.토][완료]
void __fastcall _API_File_CopyEx(void);

//[2020.12.20.일][완료]
void __fastcall _API_File_MoveEx(void);

//[2020.12.20.일][완료]
void __fastcall _API_File_Files_CopyEx(void);

//[2020.12.20.일][완료]
void __fastcall _API_File_Files_MoveEx(void);

//[2020.12.20.일][완료]
void __fastcall _API_File_Dir_CopyEx(void);

//[2020.12.20.일][완료]
void __fastcall _API_File_Dir_MoveEx(void);


//[2020.10.17.토][완료]
void __fastcall _API_File_Dir_Exist(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_Compose(void);

//[2011.11.30.수][완료!!!]
void __fastcall _API_File_HexToBin_InBuf(void);

#endif